Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class Facet

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.Facet

    class Facet

Nested Class Summary
`enum` | `Facet.FacetType`

Property Summary
`String` | `name`
`FacetType` | `type`
`String` | `version`

Constructor Summary
`Facet()`
`Facet(Node node)`
`Facet(String name, String version)`
`Facet(Facet.FacetType type, String name, String version)`

Method Summary
`void` | `appendNode(Node node)`
`boolean` | `equals(def o)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### name

    String name

### type

    FacetType type

### version

    String version

Constructor Detail

### Facet

    Facet()

### Facet

    Facet(Node node)

### Facet

    Facet(String name, String version)

### Facet

    Facet(Facet.FacetType type, String name, String version)

Method Detail

### appendNode

    void appendNode(Node node)

### equals

    boolean equals(def o)

### hashCode

    int hashCode()

### toString

    String toString()

Gradle API 1.10